<template>
  <div v-if="once">
    <button class="bee-button" :style="colorsRules" @click.once="$emit('click')"><slot></slot></button>
  </div>
  <div v-else>
    <button class="bee-button" :style="colorsRules" @click="$emit('click')"><slot></slot></button>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'
@Component
export default class BeeButtons extends Vue {
  @Prop({ default: false }) readonly once!: boolean;
   
  backgroundColor = '#feca38'

  get colorsRules(){
    return `background-color: ${this.backgroundColor};`
  }

	click() {
		this.$emit('click')
	}

  created(){
     const colors = this.$store.getters.colors;
     this.backgroundColor = colors.backgroundColor;
  }
}
</script>

<style lang="scss" scoped>
.bee-button {
	// width: auto;
  font-weight: 500;
	font-size: 16px;
	line-height: 25px;
}
</style>
